package com.bgy.sms.channel.dto;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.List;

public class DmHubBatchSendRequest implements Serializable {

    private static final long serialVersionUID = 1L;


    // 批量发送短信的模板id
    private String templateId;

    // 批次号
    private String batchId;

    // 账号类型（mobile就传手机号）
    private String audienceIdType;

    // 短信数据
    private List<JSONObject> data;


    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public List<JSONObject> getData() {
        return data;
    }

    public void setData(List<JSONObject> data) {
        this.data = data;
    }

    public String getAudienceIdType() {
        return audienceIdType;
    }

    public void setAudienceIdType(String audienceIdType) {
        this.audienceIdType = audienceIdType;
    }
}
